Foxit PDF SDK

Public Member Functions | List of all members
foxit::common::DocEventCallback Class Referenceabstract

## Public Member Functions
virtual void | OnDocOpened (const pdf::PDFDoc &document, ErrorCode error_code)
| Triggered when a PDF document is opened. More...
virtual void | OnDocSaved (const pdf::PDFDoc &document, ErrorCode error_code)
| Triggered when a PDF document is saved. More...
virtual void | OnDocWillDestroy (const pdf::PDFDoc &document)
| Triggered when a PDF document will be destroyed. More...
virtual void | OnDocWillOpen ()
| Triggered when the document will be opened. More...
virtual void | OnDocWillSave (const pdf::PDFDoc &document)
| Triggered when a PDF document will be saved. More...
virtual void | Release ()=0
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object used to listen PDF document event. All the pure virtual functions in this class are used as callback functions and should be implemented by user in derived class. User can also re-write the virtual functions in this class in custom way.

## Member Function Documentation

## ◆ OnDocOpened()

virtual void foxit::common::DocEventCallback::OnDocOpened | ( | const pdf::PDFDoc & | document,
|  | ErrorCode | error_code
| ) |  |
| inline virtual

Triggered when a PDF document is opened.

Parameters

  [in] | document | A PDF document object which is opened.
  [in] | error_code | Error code which represents the error state when opening the PDF document. Please refer to values starting from foxit::e_ErrSuccess and this would be one of these values.

Returns
  None.

## ◆ OnDocSaved()

virtual void foxit::common::DocEventCallback::OnDocSaved | ( | const pdf::PDFDoc & | document,
|  | ErrorCode | error_code
| ) |  |
| inline virtual

Triggered when a PDF document is saved.

Parameters

  [in] | document | A PDF document object which is saved.
  [in] | error_code | Error code which represents the error state when saving the PDF document. Please refer to values starting from foxit::e_ErrSuccess and this would be one of these values.

Returns
  None.

## ◆ OnDocWillDestroy()

virtual void foxit::common::DocEventCallback::OnDocWillDestroy | ( | const pdf::PDFDoc & | document | ) |
| inline virtual

Triggered when a PDF document will be destroyed.

Parameters

  [in] | document | A PDF document object which will be destroyed.

Returns
  None.

## ◆ OnDocWillOpen()

virtual void foxit::common::DocEventCallback::OnDocWillOpen | ( |  | ) |
| inline virtual

Triggered when the document will be opened.

Returns
  None.

## ◆ OnDocWillSave()

virtual void foxit::common::DocEventCallback::OnDocWillSave | ( | const pdf::PDFDoc & | document | ) |
| inline virtual

Triggered when a PDF document will be saved.

Parameters

  [in] | document | A PDF document object which will be saved.

Returns
  None.

## ◆ Release()

virtual void foxit::common::DocEventCallback::Release | ( |  | ) |
| pure virtual

A callback function used to release current callback object itself.

Returns
  None.